Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00079 Flip Screen/Cocktail Major Have not tried Jan 21, 2008, 20:45 Jun 10, 2012, 02:59
Tester -Misc Reporters- View Status Public Platform
Assigned To nicolasa Resolution Fixed OS
Status [?] Resolved Driver namcos1.cpp
Version 0.105u3 Fixed in Version 0.126u1 Build
Fixed in Git Commit Github Pull Request #
Summary 00079: faceoff: When you go for a penalty shot the screen is upside down.
Description When you go for a penalty shot the screen is upside down and i don't think the inputs are correct in the game.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems faceoff
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.00282
Haze
Senior Tester
Mar 20, 2008, 08:42
The controls are also mapped incorrectly, check service mode. Most inputs do nothing, some are double mapped. Needs work, should probably be marked as game_not_working
User avatar
No.01589
nicolasa
Developer
Jul 12, 2008, 18:26
The controls WERE correct at one point. They must have been broken during one of the input system rewrites. I have fixed that.

Regarding the penalty shots, I think the current behaviour should be correct. The game is obviously designed to be played in a cocktail cabinet, and it seems that there's no difference if the second player is human or CPU (note how the screen flips when the CPU scores a goal). Penalty shots are seen from behind the goalkeeper, so when P1 is shooting, the screen flips because the view is from behind the P2/CPU goalkeeper.